QGIS Application - Feature request #12890
Add symbol for filtered layer in Layer list
2015-06-05 05:54 AM - Bernd Vogelgesang

Status: Closed

Priority: Normal

Assignee:

Category: Map Legend

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 20980
Description

When using a Filter/Feature subset/Query on a layer, the user or other users reusing the same project can't see immediately, that the
layer is filtered and does not provide the whole data set. This can lead to a lot of confusion, when suddenly some data is "gone".
Especially with ESRI-Shape files, which become uneditable when filtered, users may think that something is broken cause the layer does
not behave as expected.

Of course one can see the filtered state when hovering over the layer name, but especially for novices the statements might not be
interpretable.

So it would be nice to add e.g a funnel symbol behind the layer name to indicate that it is filtered.
The same symbol might be added to the context menu before "Filter...", so users easily learn what the symbol means.

Cheers
Bernd

Related issues:
Duplicated by QGIS Application - Feature request # 16367: Indicate filters in... Closed 2017-03-20

History

#1 - 2015-06-05 01:52 PM - Giovanni Manghi
- Target version set to Future Release - Nice to have
- Category changed from GUI to Map Legend

#2 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No

#3 - 2019-04-13 02:56 PM - Bernd Vogelgesang
- Status changed from Open to Closed

Just discovered that there is now a filter symbol in the layer list for filtered layers.
Many thanks for incorporating this!
